# cctine

cctine is simple command line tool for get Clementine now playing information. Like
[conkyclementine](https://launchpad.net/~conky-companions/+archive/ubuntu/ppa) but work with [mpris2](https://specifications.freedesktop.org/mpris-spec/latest/).

You can find git repo at https://forge.leslibres.org/Knah-Tsaeb/cctine

## License
DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
        Version 2, December 2004

Copyright (C) 2016 Knah Tsaeb

Everyone is permitted to copy and distribute verbatim or modified
copies of this license document, and changing it is allowed as long
as the name is changed.

DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

0. You just DO WHAT THE FUCK YOU WANT TO.

## Install

`sudo sh ./install.sh`

## Usage

* `cctine title` => return title
* `cctine artist` => return artist
* `cctine album` => return album
* `cctine year` => return year
* `cctine track` => return track number
* `cctine cover` => return nothing just copy cover to /tmp/clemCover.jpg
* `cctine bitrate` => return bitrate
* `cctine position` => return percent of progress

## Conky example
```
${if_running clementine}${color5}${font Century Schoolbook L:size=11}Clementine ${hr}${font}
${execi 12 cctine cover > /dev/null}
${image /tmp/clemCover.jpg -p 12,178 -s 280x280 -f 6 }






















${offset 15}${color}Artist : ${color}${execi 5 cctine artist}
${offset 15}${color}Album : ${color}${execi 5 cctine album} (${execi 5 cctine year})
${offset 15}${color}Piste : ${color}${execi 5 cctine track} - ${execi 5 cctine title}
${offset 15}${color}Encodage : ${color}${execi 5 cctine bitrate}kbps
${offset 15}${color}${color}${execibar 4 cctine position}
$endif
```
